// Code generated by go-swagger; DO NOT EDIT.

package backup_management

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	models "gitlab.com/kathra/kathra/kathra-services/kathra-runtimemanager/kathra-runtimemanager-go/kathra-runtimemanager-interface/models"
)

// RestoreBackupRuntimeEnvironmentsOKCode is the HTTP code returned for type RestoreBackupRuntimeEnvironmentsOK
const RestoreBackupRuntimeEnvironmentsOKCode int = 200

/*RestoreBackupRuntimeEnvironmentsOK RuntimeAppInstance restored with success

swagger:response restoreBackupRuntimeEnvironmentsOK
*/
type RestoreBackupRuntimeEnvironmentsOK struct {

	/*
	  In: Body
	*/
	Payload *models.RuntimeEnvironmentBackup `json:"body,omitempty"`
}

// NewRestoreBackupRuntimeEnvironmentsOK creates RestoreBackupRuntimeEnvironmentsOK with default headers values
func NewRestoreBackupRuntimeEnvironmentsOK() *RestoreBackupRuntimeEnvironmentsOK {

	return &RestoreBackupRuntimeEnvironmentsOK{}
}

// WithPayload adds the payload to the restore backup runtime environments o k response
func (o *RestoreBackupRuntimeEnvironmentsOK) WithPayload(payload *models.RuntimeEnvironmentBackup) *RestoreBackupRuntimeEnvironmentsOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the restore backup runtime environments o k response
func (o *RestoreBackupRuntimeEnvironmentsOK) SetPayload(payload *models.RuntimeEnvironmentBackup) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *RestoreBackupRuntimeEnvironmentsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
